curl --request GET \
--url https://api.sendkit.dev/campaigns \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "March Newsletter",
"subject": "Our latest updates",
"preview_text": "Check out what's new",
"reply_to": "support@example.com",
"status": "draft",
"audience_type": "contact_list",
"audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Newsletter Template"
},
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Marketing Team",
"email": "marketing@example.com"
},
"total_recipients": 1500,
"sent_count": 1200,
"failed_count": 5,
"scheduled_at": "2026-03-15 10:00:00",
"sent_at": "2026-03-11 14:30:00",
"created_at": "2026-03-10 09:00:00"
}
],
"links": {
"first": "https://api.sendkit.dev/contacts?page=1",
"last": "https://api.sendkit.dev/contacts?page=3",
"prev": null,
"next": "https://api.sendkit.dev/contacts?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 25,
"to": 25,
"total": 75,
"path": "https://api.sendkit.dev/contacts"
}
}Retrieve a paginated list of campaigns for your team. Supports filtering by name and status.
curl --request GET \
--url https://api.sendkit.dev/campaigns \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "March Newsletter",
"subject": "Our latest updates",
"preview_text": "Check out what's new",
"reply_to": "support@example.com",
"status": "draft",
"audience_type": "contact_list",
"audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Newsletter Template"
},
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Marketing Team",
"email": "marketing@example.com"
},
"total_recipients": 1500,
"sent_count": 1200,
"failed_count": 5,
"scheduled_at": "2026-03-15 10:00:00",
"sent_at": "2026-03-11 14:30:00",
"created_at": "2026-03-10 09:00:00"
}
],
"links": {
"first": "https://api.sendkit.dev/contacts?page=1",
"last": "https://api.sendkit.dev/contacts?page=3",
"prev": null,
"next": "https://api.sendkit.dev/contacts?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 25,
"to": 25,
"total": 75,
"path": "https://api.sendkit.dev/contacts"
}
}API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Search campaigns by name.
Filter by campaign status (e.g. draft, sending, sent).